_addChar:
;test_bt_events_code.c,36 :: 		void addChar (char * str, char chr) {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;test_bt_events_code.c,37 :: 		int len = strlen(str);
SW	R25, 4(SP)
JAL	_strlen+0
NOP	
; len start address is: 12 (R3)
SEH	R3, R2
;test_bt_events_code.c,38 :: 		if (len < PIN_CODE_SIZE) {
SEH	R2, R2
SLTI	R2, R2, 17
BNE	R2, R0, L__addChar51
NOP	
J	L_addChar0
NOP	
L__addChar51:
;test_bt_events_code.c,39 :: 		*(str+len) = chr;
SEH	R2, R3
ADDU	R2, R25, R2
SB	R26, 0(R2)
;test_bt_events_code.c,40 :: 		*(str+len+1) = 0;
SEH	R2, R3
; len end address is: 12 (R3)
ADDU	R2, R25, R2
ADDIU	R2, R2, 1
SB	R0, 0(R2)
;test_bt_events_code.c,41 :: 		DrawCBox(&cache_pin_str);
LUI	R25, #hi_addr(_cache_pin_str+0)
ORI	R25, R25, #lo_addr(_cache_pin_str+0)
JAL	_DrawCBox+0
NOP	
;test_bt_events_code.c,42 :: 		DrawLabel(&TextField);
LUI	R25, #hi_addr(_TextField+0)
ORI	R25, R25, #lo_addr(_TextField+0)
JAL	_DrawLabel+0
NOP	
;test_bt_events_code.c,43 :: 		}
L_addChar0:
;test_bt_events_code.c,44 :: 		}
L_end_addChar:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _addChar
_delChar:
;test_bt_events_code.c,46 :: 		void delChar (char * str) {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;test_bt_events_code.c,47 :: 		int len = strlen(str);
SW	R25, 4(SP)
JAL	_strlen+0
NOP	
; len start address is: 12 (R3)
SEH	R3, R2
;test_bt_events_code.c,48 :: 		if (len <= 0) return;
SEH	R2, R2
SLTI	R2, R2, 1
BNE	R2, R0, L__delChar53
NOP	
J	L_delChar1
NOP	
L__delChar53:
; len end address is: 12 (R3)
J	L_end_delChar
NOP	
L_delChar1:
;test_bt_events_code.c,49 :: 		*(str+len-1) = 0;
; len start address is: 12 (R3)
SEH	R2, R3
; len end address is: 12 (R3)
ADDU	R2, R25, R2
ADDIU	R2, R2, -1
SB	R0, 0(R2)
;test_bt_events_code.c,50 :: 		DrawCBox(&cache_pin_str);
LUI	R25, #hi_addr(_cache_pin_str+0)
ORI	R25, R25, #lo_addr(_cache_pin_str+0)
JAL	_DrawCBox+0
NOP	
;test_bt_events_code.c,51 :: 		DrawLabel(&TextField);
LUI	R25, #hi_addr(_TextField+0)
ORI	R25, R25, #lo_addr(_TextField+0)
JAL	_DrawLabel+0
NOP	
;test_bt_events_code.c,52 :: 		}
L_end_delChar:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _delChar
_toUpperCase:
;test_bt_events_code.c,54 :: 		void toUpperCase(char * str) {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,55 :: 		int i = 0;
;test_bt_events_code.c,57 :: 		for (i=0; i<strlen(str); i++) *(str+i) = toupper(str[i]);
; i start address is: 20 (R5)
MOVZ	R5, R0, R0
; i end address is: 20 (R5)
L_toUpperCase2:
; i start address is: 20 (R5)
JAL	_strlen+0
NOP	
SEH	R3, R5
SEH	R2, R2
SLT	R2, R3, R2
BNE	R2, R0, L__toUpperCase55
NOP	
J	L_toUpperCase3
NOP	
L__toUpperCase55:
SEH	R2, R5
ADDU	R2, R25, R2
SW	R2, 8(SP)
SW	R25, 4(SP)
LBU	R25, 0(R2)
JAL	_toupper+0
NOP	
LW	R25, 4(SP)
LW	R3, 8(SP)
SB	R2, 0(R3)
ADDIU	R2, R5, 1
SEH	R5, R2
; i end address is: 20 (R5)
J	L_toUpperCase2
NOP	
L_toUpperCase3:
;test_bt_events_code.c,58 :: 		}
L_end_toUpperCase:
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _toUpperCase
_toLowerCase:
;test_bt_events_code.c,60 :: 		void toLowerCase(char * str) {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,61 :: 		int i = 0;
;test_bt_events_code.c,63 :: 		for (i=0; i<strlen(str); i++) *(str+i) = tolower(str[i]);
; i start address is: 20 (R5)
MOVZ	R5, R0, R0
; i end address is: 20 (R5)
L_toLowerCase5:
; i start address is: 20 (R5)
JAL	_strlen+0
NOP	
SEH	R3, R5
SEH	R2, R2
SLT	R2, R3, R2
BNE	R2, R0, L__toLowerCase57
NOP	
J	L_toLowerCase6
NOP	
L__toLowerCase57:
SEH	R2, R5
ADDU	R2, R25, R2
SW	R2, 8(SP)
SW	R25, 4(SP)
LBU	R25, 0(R2)
JAL	_tolower+0
NOP	
LW	R25, 4(SP)
LW	R3, 8(SP)
SB	R2, 0(R3)
ADDIU	R2, R5, 1
SEH	R5, R2
; i end address is: 20 (R5)
J	L_toLowerCase5
NOP	
L_toLowerCase6:
;test_bt_events_code.c,64 :: 		}
L_end_toLowerCase:
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _toLowerCase
_ViderBuffer:
;test_bt_events_code.c,66 :: 		void ViderBuffer(char * Buffer, int taille_buffer) {
;test_bt_events_code.c,67 :: 		int i = 0;
;test_bt_events_code.c,68 :: 		for (i=0; i<taille_buffer; i++) *(Buffer+i) = 0;
; i start address is: 16 (R4)
MOVZ	R4, R0, R0
; i end address is: 16 (R4)
L_ViderBuffer8:
; i start address is: 16 (R4)
SEH	R3, R4
SEH	R2, R26
SLT	R2, R3, R2
BNE	R2, R0, L__ViderBuffer59
NOP	
J	L_ViderBuffer9
NOP	
L__ViderBuffer59:
SEH	R2, R4
ADDU	R2, R25, R2
SB	R0, 0(R2)
ADDIU	R2, R4, 1
SEH	R4, R2
; i end address is: 16 (R4)
J	L_ViderBuffer8
NOP	
L_ViderBuffer9:
;test_bt_events_code.c,69 :: 		}
L_end_ViderBuffer:
JR	RA
NOP	
; end of _ViderBuffer
_ResetParani:
;test_bt_events_code.c,71 :: 		void ResetParani() {
;test_bt_events_code.c,72 :: 		latd.f11 = 0;
ORI	R2, R0, 2048
SW	R2, Offset(LATD+4)(GP)
;test_bt_events_code.c,73 :: 		Delay_ms(1500);
LUI	R24, 610
ORI	R24, R24, 23039
L_ResetParani11:
ADDIU	R24, R24, -1
BNE	R24, R0, L_ResetParani11
NOP	
NOP	
;test_bt_events_code.c,74 :: 		latd.f11 = 1;
ORI	R2, R0, 2048
SW	R2, Offset(LATD+8)(GP)
;test_bt_events_code.c,75 :: 		connected = 0;
SH	R0, Offset(_connected+0)(GP)
;test_bt_events_code.c,76 :: 		}
L_end_ResetParani:
JR	RA
NOP	
; end of _ResetParani
_UART1_ReadLine:
;test_bt_events_code.c,78 :: 		int UART1_ReadLine (char * OutLine) {
ADDIU	SP, SP, -16
SW	RA, 0(SP)
;test_bt_events_code.c,79 :: 		UART1_Read_Text(OutLine, delim, 255);
SW	R26, 4(SP)
SW	R27, 8(SP)
ORI	R27, R0, 255
LUI	R26, #hi_addr(_delim+0)
ORI	R26, R26, #lo_addr(_delim+0)
JAL	_UART1_Read_Text+0
NOP	
;test_bt_events_code.c,80 :: 		if (strlen(OutLine) == 0) UART1_Read_Text(OutLine, delim, 255);
JAL	_strlen+0
NOP	
SEH	R2, R2
BEQ	R2, R0, L__UART1_ReadLine62
NOP	
J	L_UART1_ReadLine13
NOP	
L__UART1_ReadLine62:
ORI	R27, R0, 255
LUI	R26, #hi_addr(_delim+0)
ORI	R26, R26, #lo_addr(_delim+0)
JAL	_UART1_Read_Text+0
NOP	
L_UART1_ReadLine13:
;test_bt_events_code.c,81 :: 		if(strstr(OutLine, "OK")!=0) return 1;
SW	R25, 12(SP)
LUI	R26, #hi_addr(?lstr1_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr1_test_bt_events_code+0)
JAL	_strstr+0
NOP	
LW	R25, 12(SP)
BNE	R2, R0, L__UART1_ReadLine64
NOP	
J	L_UART1_ReadLine14
NOP	
L__UART1_ReadLine64:
ORI	R2, R0, 1
J	L_end_UART1_ReadLine
NOP	
L_UART1_ReadLine14:
;test_bt_events_code.c,82 :: 		else if(strstr(OutLine, "ERROR")!=0) return -1;
LUI	R26, #hi_addr(?lstr2_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr2_test_bt_events_code+0)
JAL	_strstr+0
NOP	
BNE	R2, R0, L__UART1_ReadLine66
NOP	
J	L_UART1_ReadLine16
NOP	
L__UART1_ReadLine66:
ORI	R2, R0, 65535
J	L_end_UART1_ReadLine
NOP	
L_UART1_ReadLine16:
;test_bt_events_code.c,83 :: 		else return 0;
MOVZ	R2, R0, R0
;test_bt_events_code.c,84 :: 		}
;test_bt_events_code.c,83 :: 		else return 0;
;test_bt_events_code.c,84 :: 		}
L_end_UART1_ReadLine:
LW	R27, 8(SP)
LW	R26, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 16
JR	RA
NOP	
; end of _UART1_ReadLine
_UpdateLabel:
;test_bt_events_code.c,86 :: 		void UpdateLabel(TLabel * lbl, char * txt) {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,87 :: 		lbl->Font_Color = 0xFFFF;
ADDIU	R3, R25, 24
ORI	R2, R0, 65535
SH	R2, 0(R3)
;test_bt_events_code.c,88 :: 		DrawLabel(lbl);
SW	R26, 4(SP)
SW	R25, 8(SP)
JAL	_DrawLabel+0
NOP	
LW	R25, 8(SP)
LW	R26, 4(SP)
;test_bt_events_code.c,89 :: 		lbl->Font_Color = 0x0000;
ADDIU	R2, R25, 24
SH	R0, 0(R2)
;test_bt_events_code.c,90 :: 		strcpy(lbl->Caption, txt);
ADDIU	R2, R25, 16
LW	R2, 0(R2)
SW	R25, 4(SP)
MOVZ	R25, R2, R0
JAL	_strcpy+0
NOP	
LW	R25, 4(SP)
;test_bt_events_code.c,91 :: 		DrawLabel(lbl);
JAL	_DrawLabel+0
NOP	
;test_bt_events_code.c,92 :: 		}
L_end_UpdateLabel:
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _UpdateLabel
_SendCMD:
;test_bt_events_code.c,94 :: 		void SendCMD (char * cmd) {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;test_bt_events_code.c,95 :: 		UART1_Write_Text(cmd);
SW	R25, 4(SP)
JAL	_UART1_Write_Text+0
NOP	
;test_bt_events_code.c,96 :: 		UART1_Write(0x0D);
ORI	R25, R0, 13
JAL	_UART1_Write+0
NOP	
;test_bt_events_code.c,97 :: 		}
L_end_SendCMD:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _SendCMD
_DrawErrorScreen:
;test_bt_events_code.c,99 :: 		void DrawErrorScreen(char * title, char * str) {
ADDIU	SP, SP, -16
SW	RA, 0(SP)
;test_bt_events_code.c,100 :: 		strcpy(Label10.caption, str);
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R25, 12(SP)
LW	R25, Offset(_Label10+16)(GP)
JAL	_strcpy+0
NOP	
LW	R25, 12(SP)
;test_bt_events_code.c,101 :: 		strcpy(Label8.caption, title);
MOVZ	R26, R25, R0
LW	R25, Offset(_Label8+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,102 :: 		DrawScreen(&ConErrorScreen);
LUI	R25, #hi_addr(_ConErrorScreen+0)
ORI	R25, R25, #lo_addr(_ConErrorScreen+0)
JAL	_DrawScreen+0
NOP	
;test_bt_events_code.c,103 :: 		}
L_end_DrawErrorScreen:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 16
JR	RA
NOP	
; end of _DrawErrorScreen
_DrawPinScreen:
;test_bt_events_code.c,105 :: 		void DrawPinScreen() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,106 :: 		strcpy(TextField.caption, pin_code);
SW	R25, 4(SP)
SW	R26, 8(SP)
LUI	R26, #hi_addr(_pin_code+0)
ORI	R26, R26, #lo_addr(_pin_code+0)
LW	R25, Offset(_TextField+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,107 :: 		DrawScreen(&PinCode);
LUI	R25, #hi_addr(_PinCode+0)
ORI	R25, R25, #lo_addr(_PinCode+0)
JAL	_DrawScreen+0
NOP	
;test_bt_events_code.c,108 :: 		}
L_end_DrawPinScreen:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _DrawPinScreen
_DrawSuccessScreen:
;test_bt_events_code.c,110 :: 		void DrawSuccessScreen(char * string) {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,111 :: 		strcpy(SuccessLabel.caption, string);
SW	R25, 4(SP)
SW	R26, 8(SP)
MOVZ	R26, R25, R0
LW	R25, Offset(_SuccessLabel+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,112 :: 		DrawScreen(&ConSuccessScreen);
LUI	R25, #hi_addr(_ConSuccessScreen+0)
ORI	R25, R25, #lo_addr(_ConSuccessScreen+0)
JAL	_DrawScreen+0
NOP	
;test_bt_events_code.c,113 :: 		Delay_ms(1000);
LUI	R24, 406
ORI	R24, R24, 59050
L_DrawSuccessScreen18:
ADDIU	R24, R24, -1
BNE	R24, R0, L_DrawSuccessScreen18
NOP	
;test_bt_events_code.c,114 :: 		DrawScreen(&HomeScreen);
LUI	R25, #hi_addr(_HomeScreen+0)
ORI	R25, R25, #lo_addr(_HomeScreen+0)
JAL	_DrawScreen+0
NOP	
;test_bt_events_code.c,115 :: 		}
L_end_DrawSuccessScreen:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _DrawSuccessScreen
_DrawInqScreen:
;test_bt_events_code.c,117 :: 		void DrawInqScreen() {
ADDIU	SP, SP, -60
SW	RA, 0(SP)
;test_bt_events_code.c,118 :: 		int res = 0;
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
;test_bt_events_code.c,120 :: 		char * idx = temp;
;test_bt_events_code.c,121 :: 		int index_courant = 0;
;test_bt_events_code.c,142 :: 		if(connected) {
LH	R2, Offset(_connected+0)(GP)
BNE	R2, R0, L__DrawInqScreen74
NOP	
J	L_DrawInqScreen20
NOP	
L__DrawInqScreen74:
;test_bt_events_code.c,143 :: 		drawPreviousScreen = &InqScreen;
LUI	R2, #hi_addr(_InqScreen+0)
ORI	R2, R2, #lo_addr(_InqScreen+0)
SW	R2, Offset(_drawPreviousScreen+0)(GP)
;test_bt_events_code.c,144 :: 		DrawScreen(&DiscoScreen);
LUI	R25, #hi_addr(_DiscoScreen+0)
ORI	R25, R25, #lo_addr(_DiscoScreen+0)
JAL	_DrawScreen+0
NOP	
;test_bt_events_code.c,145 :: 		}
J	L_DrawInqScreen21
NOP	
L_DrawInqScreen20:
;test_bt_events_code.c,147 :: 		UpdateLabel(&InqTitle, "Searching ...");
LUI	R26, #hi_addr(?lstr3_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr3_test_bt_events_code+0)
LUI	R25, #hi_addr(_InqTitle+0)
ORI	R25, R25, #lo_addr(_InqTitle+0)
JAL	_UpdateLabel+0
NOP	
;test_bt_events_code.c,149 :: 		SendCmd("AT+BTINQ?");
LUI	R25, #hi_addr(?lstr4_test_bt_events_code+0)
ORI	R25, R25, #lo_addr(?lstr4_test_bt_events_code+0)
JAL	_SendCMD+0
NOP	
;test_bt_events_code.c,151 :: 		for (index_courant = 0; index_courant<15; index_courant++){
; index_courant start address is: 20 (R5)
MOVZ	R5, R0, R0
; index_courant end address is: 20 (R5)
L_DrawInqScreen22:
; index_courant start address is: 20 (R5)
SEH	R2, R5
SLTI	R2, R2, 15
BNE	R2, R0, L__DrawInqScreen75
NOP	
J	L_DrawInqScreen23
NOP	
L__DrawInqScreen75:
;test_bt_events_code.c,152 :: 		Device_Labels[index_courant]->visible = 0;
SEH	R2, R5
SLL	R3, R2, 2
LUI	R2, #hi_addr(DrawInqScreen_Device_Labels_L0+0)
ORI	R2, R2, #lo_addr(DrawInqScreen_Device_Labels_L0+0)
ADDU	R2, R2, R3
LW	R2, 0(R2)
ADDIU	R2, R2, 18
SB	R0, 0(R2)
;test_bt_events_code.c,153 :: 		ViderBuffer(Device_Labels[index_courant]->caption, 51);
SEH	R2, R5
SLL	R3, R2, 2
LUI	R2, #hi_addr(DrawInqScreen_Device_Labels_L0+0)
ORI	R2, R2, #lo_addr(DrawInqScreen_Device_Labels_L0+0)
ADDU	R2, R2, R3
LW	R2, 0(R2)
ADDIU	R2, R2, 24
LW	R2, 0(R2)
ORI	R26, R0, 51
MOVZ	R25, R2, R0
JAL	_ViderBuffer+0
NOP	
;test_bt_events_code.c,154 :: 		ViderBuffer(devList[index_courant].adresse, 13);
SEH	R3, R5
ORI	R2, R0, 71
MULTU	R2, R3
MFLO	R3
LUI	R2, #hi_addr(_devList+0)
ORI	R2, R2, #lo_addr(_devList+0)
ADDU	R2, R2, R3
ORI	R26, R0, 13
MOVZ	R25, R2, R0
JAL	_ViderBuffer+0
NOP	
;test_bt_events_code.c,155 :: 		ViderBuffer(devList[index_courant].name, 51);
SEH	R3, R5
ORI	R2, R0, 71
MULTU	R2, R3
MFLO	R3
LUI	R2, #hi_addr(_devList+0)
ORI	R2, R2, #lo_addr(_devList+0)
ADDU	R2, R2, R3
ADDIU	R2, R2, 13
ORI	R26, R0, 51
MOVZ	R25, R2, R0
JAL	_ViderBuffer+0
NOP	
;test_bt_events_code.c,156 :: 		ViderBuffer(devList[index_courant].CoD, 7);
SEH	R3, R5
ORI	R2, R0, 71
MULTU	R2, R3
MFLO	R3
LUI	R2, #hi_addr(_devList+0)
ORI	R2, R2, #lo_addr(_devList+0)
ADDU	R2, R2, R3
ADDIU	R2, R2, 64
ORI	R26, R0, 7
MOVZ	R25, R2, R0
JAL	_ViderBuffer+0
NOP	
;test_bt_events_code.c,151 :: 		for (index_courant = 0; index_courant<15; index_courant++){
ADDIU	R2, R5, 1
SEH	R5, R2
;test_bt_events_code.c,157 :: 		}
; index_courant end address is: 20 (R5)
J	L_DrawInqScreen22
NOP	
L_DrawInqScreen23:
;test_bt_events_code.c,158 :: 		index_courant = 0;
; index_courant start address is: 20 (R5)
MOVZ	R5, R0, R0
;test_bt_events_code.c,160 :: 		DrawScreen(&InqScreen);
SH	R5, 16(SP)
LUI	R25, #hi_addr(_InqScreen+0)
ORI	R25, R25, #lo_addr(_InqScreen+0)
JAL	_DrawScreen+0
NOP	
; index_courant end address is: 20 (R5)
LH	R5, 16(SP)
;test_bt_events_code.c,162 :: 		while (UART1_ReadLine(temp) == 0) {
L_DrawInqScreen25:
; index_courant start address is: 20 (R5)
SH	R5, 16(SP)
LUI	R25, #hi_addr(_temp+0)
ORI	R25, R25, #lo_addr(_temp+0)
JAL	_UART1_ReadLine+0
NOP	
LH	R5, 16(SP)
SEH	R2, R2
BEQ	R2, R0, L__DrawInqScreen76
NOP	
J	L_DrawInqScreen26
NOP	
L__DrawInqScreen76:
;test_bt_events_code.c,163 :: 		idx = temp;
; idx start address is: 24 (R6)
LUI	R6, #hi_addr(_temp+0)
ORI	R6, R6, #lo_addr(_temp+0)
;test_bt_events_code.c,164 :: 		strncpy(devList[index_courant].adresse, idx, (int)strchr(idx, ',')-(int)idx);
ORI	R26, R0, 44
MOVZ	R25, R6, R0
JAL	_strchr+0
NOP	
SUBU	R4, R2, R6
SEH	R3, R5
ORI	R2, R0, 71
MULTU	R2, R3
MFLO	R3
LUI	R2, #hi_addr(_devList+0)
ORI	R2, R2, #lo_addr(_devList+0)
ADDU	R2, R2, R3
SH	R5, 16(SP)
SEH	R27, R4
MOVZ	R26, R6, R0
MOVZ	R25, R2, R0
JAL	_strncpy+0
NOP	
LH	R5, 16(SP)
;test_bt_events_code.c,165 :: 		idx = strchr(idx, ',')+1;
ORI	R26, R0, 44
MOVZ	R25, R6, R0
; idx end address is: 24 (R6)
JAL	_strchr+0
NOP	
ADDIU	R2, R2, 1
; idx start address is: 24 (R6)
MOVZ	R6, R2, R0
;test_bt_events_code.c,166 :: 		strncpy(devList[index_courant].name, idx, (int)strchr(idx, ',')-(int)idx);
ORI	R26, R0, 44
MOVZ	R25, R2, R0
JAL	_strchr+0
NOP	
SUBU	R4, R2, R6
SEH	R3, R5
ORI	R2, R0, 71
MULTU	R2, R3
MFLO	R3
LUI	R2, #hi_addr(_devList+0)
ORI	R2, R2, #lo_addr(_devList+0)
ADDU	R2, R2, R3
ADDIU	R2, R2, 13
SH	R5, 16(SP)
SEH	R27, R4
MOVZ	R26, R6, R0
MOVZ	R25, R2, R0
JAL	_strncpy+0
NOP	
LH	R5, 16(SP)
;test_bt_events_code.c,167 :: 		idx = strchr(idx, ',')+1;
ORI	R26, R0, 44
MOVZ	R25, R6, R0
; idx end address is: 24 (R6)
JAL	_strchr+0
NOP	
ADDIU	R2, R2, 1
; idx start address is: 16 (R4)
MOVZ	R4, R2, R0
;test_bt_events_code.c,168 :: 		strcpy(devList[index_courant].CoD, idx);
SEH	R3, R5
ORI	R2, R0, 71
MULTU	R2, R3
MFLO	R3
LUI	R2, #hi_addr(_devList+0)
ORI	R2, R2, #lo_addr(_devList+0)
ADDU	R2, R2, R3
ADDIU	R2, R2, 64
SH	R5, 16(SP)
; idx end address is: 16 (R4)
MOVZ	R26, R4, R0
MOVZ	R25, R2, R0
JAL	_strcpy+0
NOP	
LH	R5, 16(SP)
;test_bt_events_code.c,170 :: 		strcpy(Device_Labels[index_courant]->caption, devList[index_courant].name);
SEH	R3, R5
ORI	R2, R0, 71
MULTU	R2, R3
MFLO	R3
LUI	R2, #hi_addr(_devList+0)
ORI	R2, R2, #lo_addr(_devList+0)
ADDU	R2, R2, R3
ADDIU	R4, R2, 13
SEH	R2, R5
SLL	R3, R2, 2
LUI	R2, #hi_addr(DrawInqScreen_Device_Labels_L0+0)
ORI	R2, R2, #lo_addr(DrawInqScreen_Device_Labels_L0+0)
ADDU	R2, R2, R3
LW	R2, 0(R2)
ADDIU	R2, R2, 24
LW	R2, 0(R2)
SH	R5, 16(SP)
MOVZ	R26, R4, R0
MOVZ	R25, R2, R0
JAL	_strcpy+0
NOP	
LH	R5, 16(SP)
;test_bt_events_code.c,171 :: 		Device_Labels[index_courant]->visible = 1;
SEH	R2, R5
SLL	R3, R2, 2
LUI	R2, #hi_addr(DrawInqScreen_Device_Labels_L0+0)
ORI	R2, R2, #lo_addr(DrawInqScreen_Device_Labels_L0+0)
ADDU	R2, R2, R3
LW	R2, 0(R2)
ADDIU	R3, R2, 18
ORI	R2, R0, 1
SB	R2, 0(R3)
;test_bt_events_code.c,172 :: 		DrawButton(Device_Labels[index_courant]);
SEH	R2, R5
SLL	R3, R2, 2
LUI	R2, #hi_addr(DrawInqScreen_Device_Labels_L0+0)
ORI	R2, R2, #lo_addr(DrawInqScreen_Device_Labels_L0+0)
ADDU	R2, R2, R3
SH	R5, 16(SP)
LW	R25, 0(R2)
JAL	_DrawButton+0
NOP	
LH	R5, 16(SP)
;test_bt_events_code.c,173 :: 		index_courant++;
ADDIU	R4, R5, 1
SEH	R5, R4
;test_bt_events_code.c,174 :: 		sprintf(title, "%d devices found ...",index_courant);
ADDIU	R3, SP, 18
LUI	R2, #hi_addr(?lstr_5_test_bt_events_code+0)
ORI	R2, R2, #lo_addr(?lstr_5_test_bt_events_code+0)
SH	R5, 16(SP)
ADDIU	SP, SP, -12
SH	R4, 8(SP)
SW	R2, 4(SP)
SW	R3, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 12
;test_bt_events_code.c,175 :: 		DrawCBox(&Box1);
LUI	R2, #hi_addr(_Box1+0)
ORI	R2, R2, #lo_addr(_Box1+0)
MOVZ	R25, R2, R0
JAL	_DrawCBox+0
NOP	
;test_bt_events_code.c,176 :: 		UpdateLabel(&InqTitle, title);
ADDIU	R2, SP, 18
MOVZ	R26, R2, R0
LUI	R25, #hi_addr(_InqTitle+0)
ORI	R25, R25, #lo_addr(_InqTitle+0)
JAL	_UpdateLabel+0
NOP	
LH	R5, 16(SP)
;test_bt_events_code.c,177 :: 		}
J	L_DrawInqScreen25
NOP	
L_DrawInqScreen26:
;test_bt_events_code.c,179 :: 		if (index_courant == 0) {
SEH	R2, R5
BEQ	R2, R0, L__DrawInqScreen77
NOP	
J	L_DrawInqScreen27
NOP	
L__DrawInqScreen77:
;test_bt_events_code.c,180 :: 		sprintf(title, "No device found",index_courant);
ADDIU	R3, SP, 18
LUI	R2, #hi_addr(?lstr_6_test_bt_events_code+0)
ORI	R2, R2, #lo_addr(?lstr_6_test_bt_events_code+0)
ADDIU	SP, SP, -12
SH	R5, 8(SP)
; index_courant end address is: 20 (R5)
SW	R2, 4(SP)
SW	R3, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 12
;test_bt_events_code.c,181 :: 		DrawCBox(&Box1);
LUI	R2, #hi_addr(_Box1+0)
ORI	R2, R2, #lo_addr(_Box1+0)
MOVZ	R25, R2, R0
JAL	_DrawCBox+0
NOP	
;test_bt_events_code.c,182 :: 		UpdateLabel(&InqTitle, title);
ADDIU	R2, SP, 18
MOVZ	R26, R2, R0
LUI	R25, #hi_addr(_InqTitle+0)
ORI	R25, R25, #lo_addr(_InqTitle+0)
JAL	_UpdateLabel+0
NOP	
;test_bt_events_code.c,183 :: 		}
J	L_DrawInqScreen28
NOP	
L_DrawInqScreen27:
;test_bt_events_code.c,185 :: 		sprintf(title, "%d devices found",index_courant);
; index_courant start address is: 20 (R5)
ADDIU	R3, SP, 18
LUI	R2, #hi_addr(?lstr_7_test_bt_events_code+0)
ORI	R2, R2, #lo_addr(?lstr_7_test_bt_events_code+0)
ADDIU	SP, SP, -12
SH	R5, 8(SP)
; index_courant end address is: 20 (R5)
SW	R2, 4(SP)
SW	R3, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 12
;test_bt_events_code.c,186 :: 		DrawCBox(&Box1);
LUI	R2, #hi_addr(_Box1+0)
ORI	R2, R2, #lo_addr(_Box1+0)
MOVZ	R25, R2, R0
JAL	_DrawCBox+0
NOP	
;test_bt_events_code.c,187 :: 		UpdateLabel(&InqTitle, title);
ADDIU	R2, SP, 18
MOVZ	R26, R2, R0
LUI	R25, #hi_addr(_InqTitle+0)
ORI	R25, R25, #lo_addr(_InqTitle+0)
JAL	_UpdateLabel+0
NOP	
;test_bt_events_code.c,188 :: 		}
L_DrawInqScreen28:
;test_bt_events_code.c,189 :: 		}
L_DrawInqScreen21:
;test_bt_events_code.c,190 :: 		}
L_end_DrawInqScreen:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 60
JR	RA
NOP	
; end of _DrawInqScreen
_DrawGetInfo:
;test_bt_events_code.c,192 :: 		void DrawGetInfo() {
ADDIU	SP, SP, -16
SW	RA, 0(SP)
;test_bt_events_code.c,193 :: 		char * idx = temp;
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
; idx start address is: 28 (R7)
LUI	R30, #hi_addr(_temp+0)
ORI	R30, R30, #lo_addr(_temp+0)
MOVZ	R7, R30, R0
;test_bt_events_code.c,194 :: 		int res = 0;
;test_bt_events_code.c,195 :: 		SendCMD("AT+BTINFO?");
LUI	R25, #hi_addr(?lstr8_test_bt_events_code+0)
ORI	R25, R25, #lo_addr(?lstr8_test_bt_events_code+0)
JAL	_SendCMD+0
NOP	
;test_bt_events_code.c,197 :: 		if(connected) {
LH	R2, Offset(_connected+0)(GP)
BNE	R2, R0, L__DrawGetInfo80
NOP	
J	L_DrawGetInfo29
NOP	
L__DrawGetInfo80:
; idx end address is: 28 (R7)
;test_bt_events_code.c,198 :: 		drawPreviousScreen = &InfoScreen;
LUI	R2, #hi_addr(_InfoScreen+0)
ORI	R2, R2, #lo_addr(_InfoScreen+0)
SW	R2, Offset(_drawPreviousScreen+0)(GP)
;test_bt_events_code.c,199 :: 		DrawScreen(&DiscoScreen);
LUI	R25, #hi_addr(_DiscoScreen+0)
ORI	R25, R25, #lo_addr(_DiscoScreen+0)
JAL	_DrawScreen+0
NOP	
;test_bt_events_code.c,200 :: 		}
J	L_DrawGetInfo30
NOP	
L_DrawGetInfo29:
;test_bt_events_code.c,202 :: 		res = UART1_ReadLine(temp);
; idx start address is: 28 (R7)
LUI	R25, #hi_addr(_temp+0)
ORI	R25, R25, #lo_addr(_temp+0)
JAL	_UART1_ReadLine+0
NOP	
;test_bt_events_code.c,203 :: 		if (res == 0) {
SEH	R2, R2
BEQ	R2, R0, L__DrawGetInfo81
NOP	
J	L_DrawGetInfo31
NOP	
L__DrawGetInfo81:
;test_bt_events_code.c,204 :: 		strncpy(BtAdresseLbl.caption, idx, (int)strchr(idx, ',')-(int)idx);
ORI	R26, R0, 44
MOVZ	R25, R7, R0
JAL	_strchr+0
NOP	
SUBU	R2, R2, R7
SEH	R27, R2
MOVZ	R26, R7, R0
LW	R25, Offset(_BtAdresseLbl+16)(GP)
JAL	_strncpy+0
NOP	
;test_bt_events_code.c,205 :: 		idx = strchr(idx, ',')+1;
ORI	R26, R0, 44
MOVZ	R25, R7, R0
; idx end address is: 28 (R7)
JAL	_strchr+0
NOP	
ADDIU	R2, R2, 1
; idx start address is: 24 (R6)
MOVZ	R6, R2, R0
;test_bt_events_code.c,206 :: 		strncpy(DevNameLbl.caption, idx, (int)strchr(idx, ',')-(int)idx);
ORI	R26, R0, 44
MOVZ	R25, R2, R0
JAL	_strchr+0
NOP	
SUBU	R2, R2, R6
SEH	R27, R2
MOVZ	R26, R6, R0
LW	R25, Offset(_DevNameLbl+16)(GP)
JAL	_strncpy+0
NOP	
;test_bt_events_code.c,207 :: 		idx = strchr(idx, ',')+1;
ORI	R26, R0, 44
MOVZ	R25, R6, R0
; idx end address is: 24 (R6)
JAL	_strchr+0
NOP	
ADDIU	R2, R2, 1
; idx start address is: 24 (R6)
MOVZ	R6, R2, R0
;test_bt_events_code.c,208 :: 		strncpy(ModeLbl.caption, idx, (int)strchr(idx, ',')-(int)idx);
ORI	R26, R0, 44
MOVZ	R25, R2, R0
JAL	_strchr+0
NOP	
SUBU	R2, R2, R6
SEH	R27, R2
MOVZ	R26, R6, R0
LW	R25, Offset(_ModeLbl+16)(GP)
JAL	_strncpy+0
NOP	
;test_bt_events_code.c,209 :: 		idx = strchr(idx, ',')+1;
ORI	R26, R0, 44
MOVZ	R25, R6, R0
; idx end address is: 24 (R6)
JAL	_strchr+0
NOP	
ADDIU	R2, R2, 1
; idx start address is: 24 (R6)
MOVZ	R6, R2, R0
;test_bt_events_code.c,210 :: 		strncpy(StatusLbl.caption, idx, (int)strchr(idx, ',')-(int)idx);
ORI	R26, R0, 44
MOVZ	R25, R2, R0
JAL	_strchr+0
NOP	
SUBU	R2, R2, R6
SEH	R27, R2
MOVZ	R26, R6, R0
LW	R25, Offset(_StatusLbl+16)(GP)
JAL	_strncpy+0
NOP	
;test_bt_events_code.c,211 :: 		idx = strchr(idx, ',')+1;
ORI	R26, R0, 44
MOVZ	R25, R6, R0
; idx end address is: 24 (R6)
JAL	_strchr+0
NOP	
ADDIU	R2, R2, 1
; idx start address is: 24 (R6)
MOVZ	R6, R2, R0
;test_bt_events_code.c,212 :: 		strncpy(AuthLbl.caption, idx, (int)strchr(idx, ',')-(int)idx);
ORI	R26, R0, 44
MOVZ	R25, R2, R0
JAL	_strchr+0
NOP	
SUBU	R2, R2, R6
SEH	R27, R2
MOVZ	R26, R6, R0
LW	R25, Offset(_AuthLbl+16)(GP)
JAL	_strncpy+0
NOP	
;test_bt_events_code.c,213 :: 		idx = strchr(idx, ',')+1;
ORI	R26, R0, 44
MOVZ	R25, R6, R0
; idx end address is: 24 (R6)
JAL	_strchr+0
NOP	
ADDIU	R2, R2, 1
; idx start address is: 24 (R6)
MOVZ	R6, R2, R0
;test_bt_events_code.c,214 :: 		strncpy(EncrLbl.caption, idx, (int)strchr(idx, ',')-(int)idx);
ORI	R26, R0, 44
MOVZ	R25, R2, R0
JAL	_strchr+0
NOP	
SUBU	R2, R2, R6
SEH	R27, R2
MOVZ	R26, R6, R0
LW	R25, Offset(_EncrLbl+16)(GP)
JAL	_strncpy+0
NOP	
;test_bt_events_code.c,215 :: 		idx = strchr(idx, ',')+1;
ORI	R26, R0, 44
MOVZ	R25, R6, R0
; idx end address is: 24 (R6)
JAL	_strchr+0
NOP	
ADDIU	R2, R2, 1
;test_bt_events_code.c,216 :: 		strcpy(FlowLbl.caption, idx);
MOVZ	R26, R2, R0
LW	R25, Offset(_FlowLbl+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,218 :: 		res = UART1_ReadLine(temp);
LUI	R25, #hi_addr(_temp+0)
ORI	R25, R25, #lo_addr(_temp+0)
JAL	_UART1_ReadLine+0
NOP	
;test_bt_events_code.c,219 :: 		if (res == -1) {
SEH	R3, R2
LUI	R2, 65535
ORI	R2, R2, 65535
BEQ	R3, R2, L__DrawGetInfo82
NOP	
J	L_DrawGetInfo32
NOP	
L__DrawGetInfo82:
;test_bt_events_code.c,220 :: 		strcpy(BtAdresseLbl.caption,"Error");
LUI	R26, #hi_addr(?lstr9_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr9_test_bt_events_code+0)
LW	R25, Offset(_BtAdresseLbl+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,221 :: 		strcpy(DevNameLbl.caption,"Error");
LUI	R26, #hi_addr(?lstr10_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr10_test_bt_events_code+0)
LW	R25, Offset(_DevNameLbl+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,222 :: 		strcpy(ModeLbl.caption,"Error");
LUI	R26, #hi_addr(?lstr11_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr11_test_bt_events_code+0)
LW	R25, Offset(_ModeLbl+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,223 :: 		strcpy(StatusLbl.caption,"Error");
LUI	R26, #hi_addr(?lstr12_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr12_test_bt_events_code+0)
LW	R25, Offset(_StatusLbl+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,224 :: 		strcpy(AuthLbl.caption,"Error");
LUI	R26, #hi_addr(?lstr13_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr13_test_bt_events_code+0)
LW	R25, Offset(_AuthLbl+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,225 :: 		strcpy(EncrLbl.caption,"Error");
LUI	R26, #hi_addr(?lstr14_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr14_test_bt_events_code+0)
LW	R25, Offset(_EncrLbl+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,226 :: 		strcpy(FlowLbl.caption,"Error");
LUI	R26, #hi_addr(?lstr15_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr15_test_bt_events_code+0)
LW	R25, Offset(_FlowLbl+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,227 :: 		}
L_DrawGetInfo32:
;test_bt_events_code.c,228 :: 		}
J	L_DrawGetInfo33
NOP	
L_DrawGetInfo31:
;test_bt_events_code.c,231 :: 		strcpy(BtAdresseLbl.caption,"Error");
LUI	R26, #hi_addr(?lstr16_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr16_test_bt_events_code+0)
LW	R25, Offset(_BtAdresseLbl+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,232 :: 		strcpy(DevNameLbl.caption,"Error");
LUI	R26, #hi_addr(?lstr17_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr17_test_bt_events_code+0)
LW	R25, Offset(_DevNameLbl+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,233 :: 		strcpy(ModeLbl.caption,"Error");
LUI	R26, #hi_addr(?lstr18_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr18_test_bt_events_code+0)
LW	R25, Offset(_ModeLbl+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,234 :: 		strcpy(StatusLbl.caption,"Error");
LUI	R26, #hi_addr(?lstr19_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr19_test_bt_events_code+0)
LW	R25, Offset(_StatusLbl+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,235 :: 		strcpy(AuthLbl.caption,"Error");
LUI	R26, #hi_addr(?lstr20_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr20_test_bt_events_code+0)
LW	R25, Offset(_AuthLbl+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,236 :: 		strcpy(EncrLbl.caption,"Error");
LUI	R26, #hi_addr(?lstr21_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr21_test_bt_events_code+0)
LW	R25, Offset(_EncrLbl+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,237 :: 		strcpy(FlowLbl.caption,"Error");
LUI	R26, #hi_addr(?lstr22_test_bt_events_code+0)
ORI	R26, R26, #lo_addr(?lstr22_test_bt_events_code+0)
LW	R25, Offset(_FlowLbl+16)(GP)
JAL	_strcpy+0
NOP	
;test_bt_events_code.c,238 :: 		}
L_DrawGetInfo33:
;test_bt_events_code.c,239 :: 		DrawScreen(&InfoScreen);
LUI	R25, #hi_addr(_InfoScreen+0)
ORI	R25, R25, #lo_addr(_InfoScreen+0)
JAL	_DrawScreen+0
NOP	
;test_bt_events_code.c,240 :: 		}
L_DrawGetInfo30:
;test_bt_events_code.c,241 :: 		}
L_end_DrawGetInfo:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 16
JR	RA
NOP	
; end of _DrawGetInfo
_Info_ButtonOnClick:
;test_bt_events_code.c,246 :: 		void Info_ButtonOnClick() {
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;test_bt_events_code.c,247 :: 		DrawGetInfo();
JAL	_DrawGetInfo+0
NOP	
;test_bt_events_code.c,248 :: 		}
L_end_Info_ButtonOnClick:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _Info_ButtonOnClick
_BackButtonOnClick:
;test_bt_events_code.c,250 :: 		void BackButtonOnClick() {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;test_bt_events_code.c,251 :: 		DrawScreen(&HomeScreen);
SW	R25, 4(SP)
LUI	R25, #hi_addr(_HomeScreen+0)
ORI	R25, R25, #lo_addr(_HomeScreen+0)
JAL	_DrawScreen+0
NOP	
;test_bt_events_code.c,252 :: 		}
L_end_BackButtonOnClick:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _BackButtonOnClick
_Button1OnClick:
;test_bt_events_code.c,254 :: 		void Button1OnClick() {
ADDIU	SP, SP, -116
SW	RA, 0(SP)
;test_bt_events_code.c,257 :: 		int cpt = 0;
SW	R25, 4(SP)
SW	R26, 8(SP)
;test_bt_events_code.c,259 :: 		if(strlen(TextField.caption) != 0){
LW	R25, Offset(_TextField+16)(GP)
JAL	_strlen+0
NOP	
SEH	R2, R2
BNE	R2, R0, L__Button1OnClick87
NOP	
J	L_Button1OnClick34
NOP	
L__Button1OnClick87:
;test_bt_events_code.c,260 :: 		sprintf(cmd, "AT+BTKEY=\"%s\"", TextField.caption);
ADDIU	R4, SP, 63
LUI	R3, #hi_addr(?lstr_23_test_bt_events_code+0)
ORI	R3, R3, #lo_addr(?lstr_23_test_bt_events_code+0)
LW	R2, Offset(_TextField+16)(GP)
ADDIU	SP, SP, -12
SW	R2, 8(SP)
SW	R3, 4(SP)
SW	R4, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 12
;test_bt_events_code.c,261 :: 		SendCMD(cmd);
ADDIU	R2, SP, 63
MOVZ	R25, R2, R0
JAL	_SendCMD+0
NOP	
;test_bt_events_code.c,262 :: 		if (UART1_ReadLine(temp)==1) {
LUI	R25, #hi_addr(_temp+0)
ORI	R25, R25, #lo_addr(_temp+0)
JAL	_UART1_ReadLine+0
NOP	
SEH	R3, R2
ORI	R2, R0, 1
BEQ	R3, R2, L__Button1OnClick88
NOP	
J	L_Button1OnClick35
NOP	
L__Button1OnClick88:
;test_bt_events_code.c,267 :: 		DrawSuccessScreen("Pin Code Changed");
LUI	R25, #hi_addr(?lstr24_test_bt_events_code+0)
ORI	R25, R25, #lo_addr(?lstr24_test_bt_events_code+0)
JAL	_DrawSuccessScreen+0
NOP	
;test_bt_events_code.c,268 :: 		}
J	L_Button1OnClick36
NOP	
L_Button1OnClick35:
;test_bt_events_code.c,270 :: 		sprintf(mess,"%s >> %s", cmd, temp);
ADDIU	R5, SP, 63
ADDIU	R4, SP, 12
LUI	R3, #hi_addr(?lstr_25_test_bt_events_code+0)
ORI	R3, R3, #lo_addr(?lstr_25_test_bt_events_code+0)
LUI	R2, #hi_addr(_temp+0)
ORI	R2, R2, #lo_addr(_temp+0)
ADDIU	SP, SP, -16
SW	R2, 12(SP)
SW	R5, 8(SP)
SW	R3, 4(SP)
SW	R4, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 16
;test_bt_events_code.c,271 :: 		DrawErrorScreen("PIN Code Error !", mess);
ADDIU	R2, SP, 12
MOVZ	R26, R2, R0
LUI	R25, #hi_addr(?lstr26_test_bt_events_code+0)
ORI	R25, R25, #lo_addr(?lstr26_test_bt_events_code+0)
JAL	_DrawErrorScreen+0
NOP	
;test_bt_events_code.c,272 :: 		}
L_Button1OnClick36:
;test_bt_events_code.c,273 :: 		}
J	L_Button1OnClick37
NOP	
L_Button1OnClick34:
;test_bt_events_code.c,274 :: 		else DrawScreen(&HomeScreen);
LUI	R25, #hi_addr(_HomeScreen+0)
ORI	R25, R25, #lo_addr(_HomeScreen+0)
JAL	_DrawScreen+0
NOP	
L_Button1OnClick37:
;test_bt_events_code.c,275 :: 		}
L_end_Button1OnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 116
JR	RA
NOP	
; end of _Button1OnClick
_dev1OnClick:
;test_bt_events_code.c,278 :: 		void dev1OnClick() {
;test_bt_events_code.c,279 :: 		return;
;test_bt_events_code.c,280 :: 		}
L_end_dev1OnClick:
JR	RA
NOP	
; end of _dev1OnClick
_dev2OnClick:
;test_bt_events_code.c,283 :: 		void dev2OnClick() {
;test_bt_events_code.c,284 :: 		return;
;test_bt_events_code.c,285 :: 		}
L_end_dev2OnClick:
JR	RA
NOP	
; end of _dev2OnClick
_dev3OnClick:
;test_bt_events_code.c,287 :: 		void dev3OnClick() {
;test_bt_events_code.c,288 :: 		return;
;test_bt_events_code.c,289 :: 		}
L_end_dev3OnClick:
JR	RA
NOP	
; end of _dev3OnClick
_dev4OnClick:
;test_bt_events_code.c,291 :: 		void dev4OnClick() {
;test_bt_events_code.c,292 :: 		return;
;test_bt_events_code.c,293 :: 		}
L_end_dev4OnClick:
JR	RA
NOP	
; end of _dev4OnClick
_dev5OnClick:
;test_bt_events_code.c,295 :: 		void dev5OnClick() {
;test_bt_events_code.c,296 :: 		return;
;test_bt_events_code.c,297 :: 		}
L_end_dev5OnClick:
JR	RA
NOP	
; end of _dev5OnClick
_dev6OnClick:
;test_bt_events_code.c,299 :: 		void dev6OnClick() {
;test_bt_events_code.c,300 :: 		return;
;test_bt_events_code.c,301 :: 		}
L_end_dev6OnClick:
JR	RA
NOP	
; end of _dev6OnClick
_dev7OnClick:
;test_bt_events_code.c,303 :: 		void dev7OnClick() {
;test_bt_events_code.c,304 :: 		return;
;test_bt_events_code.c,305 :: 		}
L_end_dev7OnClick:
JR	RA
NOP	
; end of _dev7OnClick
_dev8OnClick:
;test_bt_events_code.c,307 :: 		void dev8OnClick() {
;test_bt_events_code.c,308 :: 		return;
;test_bt_events_code.c,309 :: 		}
L_end_dev8OnClick:
JR	RA
NOP	
; end of _dev8OnClick
_dev9OnClick:
;test_bt_events_code.c,311 :: 		void dev9OnClick() {
;test_bt_events_code.c,312 :: 		return;
;test_bt_events_code.c,313 :: 		}
L_end_dev9OnClick:
JR	RA
NOP	
; end of _dev9OnClick
_dev10OnClick:
;test_bt_events_code.c,315 :: 		void dev10OnClick() {
;test_bt_events_code.c,316 :: 		return;
;test_bt_events_code.c,317 :: 		}
L_end_dev10OnClick:
JR	RA
NOP	
; end of _dev10OnClick
_dev11OnClick:
;test_bt_events_code.c,319 :: 		void dev11OnClick() {
;test_bt_events_code.c,320 :: 		return;
;test_bt_events_code.c,321 :: 		}
L_end_dev11OnClick:
JR	RA
NOP	
; end of _dev11OnClick
_dev12OnClick:
;test_bt_events_code.c,323 :: 		void dev12OnClick() {
;test_bt_events_code.c,324 :: 		return;
;test_bt_events_code.c,325 :: 		}
L_end_dev12OnClick:
JR	RA
NOP	
; end of _dev12OnClick
_dev13OnClick:
;test_bt_events_code.c,327 :: 		void dev13OnClick() {
;test_bt_events_code.c,328 :: 		return;
;test_bt_events_code.c,329 :: 		}
L_end_dev13OnClick:
JR	RA
NOP	
; end of _dev13OnClick
_dev14OnClick:
;test_bt_events_code.c,331 :: 		void dev14OnClick() {
;test_bt_events_code.c,332 :: 		return;
;test_bt_events_code.c,333 :: 		}
L_end_dev14OnClick:
JR	RA
NOP	
; end of _dev14OnClick
_dev15OnClick:
;test_bt_events_code.c,335 :: 		void dev15OnClick() {
;test_bt_events_code.c,336 :: 		return;
;test_bt_events_code.c,337 :: 		}
L_end_dev15OnClick:
JR	RA
NOP	
; end of _dev15OnClick
_DiscoButtonOnClick:
;test_bt_events_code.c,339 :: 		void DiscoButtonOnClick() {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;test_bt_events_code.c,340 :: 		ResetParani();
SW	R25, 4(SP)
JAL	_ResetParani+0
NOP	
;test_bt_events_code.c,341 :: 		if (drawPreviousScreen == &InfoScreen) DrawGetInfo();
LW	R3, Offset(_drawPreviousScreen+0)(GP)
LUI	R2, #hi_addr(_InfoScreen+0)
ORI	R2, R2, #lo_addr(_InfoScreen+0)
BEQ	R3, R2, L__DiscoButtonOnClick105
NOP	
J	L_DiscoButtonOnClick38
NOP	
L__DiscoButtonOnClick105:
JAL	_DrawGetInfo+0
NOP	
J	L_DiscoButtonOnClick39
NOP	
L_DiscoButtonOnClick38:
;test_bt_events_code.c,342 :: 		else if (drawPreviousScreen == &InqScreen) DrawInqScreen();
LW	R3, Offset(_drawPreviousScreen+0)(GP)
LUI	R2, #hi_addr(_InqScreen+0)
ORI	R2, R2, #lo_addr(_InqScreen+0)
BEQ	R3, R2, L__DiscoButtonOnClick106
NOP	
J	L_DiscoButtonOnClick40
NOP	
L__DiscoButtonOnClick106:
JAL	_DrawInqScreen+0
NOP	
J	L_DiscoButtonOnClick41
NOP	
L_DiscoButtonOnClick40:
;test_bt_events_code.c,343 :: 		else DrawScreen(drawPreviousScreen);
LW	R25, Offset(_drawPreviousScreen+0)(GP)
JAL	_DrawScreen+0
NOP	
L_DiscoButtonOnClick41:
L_DiscoButtonOnClick39:
;test_bt_events_code.c,344 :: 		}
L_end_DiscoButtonOnClick:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _DiscoButtonOnClick
_key_1OnClick:
;test_bt_events_code.c,347 :: 		void key_1OnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,348 :: 		addChar(TextField.caption, key_1.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_1+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,350 :: 		}
;test_bt_events_code.c,349 :: 		return;
;test_bt_events_code.c,350 :: 		}
L_end_key_1OnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_1OnClick
_key_2OnClick:
;test_bt_events_code.c,352 :: 		void key_2OnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,353 :: 		addChar(TextField.caption, key_2.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_2+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,355 :: 		}
;test_bt_events_code.c,354 :: 		return;
;test_bt_events_code.c,355 :: 		}
L_end_key_2OnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_2OnClick
_key_3OnClick:
;test_bt_events_code.c,357 :: 		void key_3OnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,358 :: 		addChar(TextField.caption, key_3.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_3+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,360 :: 		}
;test_bt_events_code.c,359 :: 		return;
;test_bt_events_code.c,360 :: 		}
L_end_key_3OnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_3OnClick
_key_4OnClick:
;test_bt_events_code.c,362 :: 		void key_4OnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,363 :: 		addChar(TextField.caption, key_4.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_4+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,365 :: 		}
;test_bt_events_code.c,364 :: 		return;
;test_bt_events_code.c,365 :: 		}
L_end_key_4OnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_4OnClick
_key_5OnClick:
;test_bt_events_code.c,367 :: 		void key_5OnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,368 :: 		addChar(TextField.caption, key_5.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_5+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,370 :: 		}
;test_bt_events_code.c,369 :: 		return;
;test_bt_events_code.c,370 :: 		}
L_end_key_5OnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_5OnClick
_key_6OnClick:
;test_bt_events_code.c,372 :: 		void key_6OnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,373 :: 		addChar(TextField.caption, key_6.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_6+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,375 :: 		}
;test_bt_events_code.c,374 :: 		return;
;test_bt_events_code.c,375 :: 		}
L_end_key_6OnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_6OnClick
_key_7OnClick:
;test_bt_events_code.c,377 :: 		void key_7OnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,378 :: 		addChar(TextField.caption, key_7.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_7+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,380 :: 		}
;test_bt_events_code.c,379 :: 		return;
;test_bt_events_code.c,380 :: 		}
L_end_key_7OnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_7OnClick
_key_8OnClick:
;test_bt_events_code.c,382 :: 		void key_8OnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,383 :: 		addChar(TextField.caption, key_8.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_8+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,385 :: 		}
;test_bt_events_code.c,384 :: 		return;
;test_bt_events_code.c,385 :: 		}
L_end_key_8OnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_8OnClick
_key_9OnClick:
;test_bt_events_code.c,387 :: 		void key_9OnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,388 :: 		addChar(TextField.caption, key_9.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_9+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,390 :: 		}
;test_bt_events_code.c,389 :: 		return;
;test_bt_events_code.c,390 :: 		}
L_end_key_9OnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_9OnClick
_key_0OnClick:
;test_bt_events_code.c,392 :: 		void key_0OnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,393 :: 		addChar(TextField.caption, key_0.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_0+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,395 :: 		}
;test_bt_events_code.c,394 :: 		return;
;test_bt_events_code.c,395 :: 		}
L_end_key_0OnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_0OnClick
_key_aOnClick:
;test_bt_events_code.c,397 :: 		void key_aOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,398 :: 		addChar(TextField.caption, key_a.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_a+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,400 :: 		}
;test_bt_events_code.c,399 :: 		return;
;test_bt_events_code.c,400 :: 		}
L_end_key_aOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_aOnClick
_key_zOnClick:
;test_bt_events_code.c,402 :: 		void key_zOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,403 :: 		addChar(TextField.caption, key_z.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_z+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,405 :: 		}
;test_bt_events_code.c,404 :: 		return;
;test_bt_events_code.c,405 :: 		}
L_end_key_zOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_zOnClick
_key_eOnClick:
;test_bt_events_code.c,407 :: 		void key_eOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,408 :: 		addChar(TextField.caption, key_e.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_e+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,410 :: 		}
;test_bt_events_code.c,409 :: 		return;
;test_bt_events_code.c,410 :: 		}
L_end_key_eOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_eOnClick
_key_rOnClick:
;test_bt_events_code.c,412 :: 		void key_rOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,413 :: 		addChar(TextField.caption, key_r.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_r+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,415 :: 		}
;test_bt_events_code.c,414 :: 		return;
;test_bt_events_code.c,415 :: 		}
L_end_key_rOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_rOnClick
_key_tOnClick:
;test_bt_events_code.c,417 :: 		void key_tOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,418 :: 		addChar(TextField.caption, key_t.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_t+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,420 :: 		}
;test_bt_events_code.c,419 :: 		return;
;test_bt_events_code.c,420 :: 		}
L_end_key_tOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_tOnClick
_key_yOnClick:
;test_bt_events_code.c,422 :: 		void key_yOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,423 :: 		addChar(TextField.caption, key_y.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_y+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,425 :: 		}
;test_bt_events_code.c,424 :: 		return;
;test_bt_events_code.c,425 :: 		}
L_end_key_yOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_yOnClick
_key_uOnClick:
;test_bt_events_code.c,427 :: 		void key_uOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,428 :: 		addChar(TextField.caption, key_u.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_u+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,430 :: 		}
;test_bt_events_code.c,429 :: 		return;
;test_bt_events_code.c,430 :: 		}
L_end_key_uOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_uOnClick
_key_iOnClick:
;test_bt_events_code.c,432 :: 		void key_iOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,433 :: 		addChar(TextField.caption, key_i.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_i+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,435 :: 		}
;test_bt_events_code.c,434 :: 		return;
;test_bt_events_code.c,435 :: 		}
L_end_key_iOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_iOnClick
_key_oOnClick:
;test_bt_events_code.c,437 :: 		void key_oOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,438 :: 		addChar(TextField.caption, key_o.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_o+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,440 :: 		}
;test_bt_events_code.c,439 :: 		return;
;test_bt_events_code.c,440 :: 		}
L_end_key_oOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_oOnClick
_key_pOnClick:
;test_bt_events_code.c,442 :: 		void key_pOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,443 :: 		addChar(TextField.caption, key_p.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_p+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,445 :: 		}
;test_bt_events_code.c,444 :: 		return;
;test_bt_events_code.c,445 :: 		}
L_end_key_pOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_pOnClick
_key_qOnClick:
;test_bt_events_code.c,447 :: 		void key_qOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,448 :: 		addChar(TextField.caption, key_q.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_q+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,450 :: 		}
;test_bt_events_code.c,449 :: 		return;
;test_bt_events_code.c,450 :: 		}
L_end_key_qOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_qOnClick
_key_xOnClick:
;test_bt_events_code.c,452 :: 		void key_xOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,453 :: 		addChar(TextField.caption, key_x.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_x+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,455 :: 		}
;test_bt_events_code.c,454 :: 		return;
;test_bt_events_code.c,455 :: 		}
L_end_key_xOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_xOnClick
_key_cOnClick:
;test_bt_events_code.c,457 :: 		void key_cOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,458 :: 		addChar(TextField.caption, key_c.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_c+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,460 :: 		}
;test_bt_events_code.c,459 :: 		return;
;test_bt_events_code.c,460 :: 		}
L_end_key_cOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_cOnClick
_key_sOnClick:
;test_bt_events_code.c,462 :: 		void key_sOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,463 :: 		addChar(TextField.caption, key_s.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_s+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,465 :: 		}
;test_bt_events_code.c,464 :: 		return;
;test_bt_events_code.c,465 :: 		}
L_end_key_sOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_sOnClick
_key_dOnClick:
;test_bt_events_code.c,467 :: 		void key_dOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,468 :: 		addChar(TextField.caption, key_d.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_d+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,470 :: 		}
;test_bt_events_code.c,469 :: 		return;
;test_bt_events_code.c,470 :: 		}
L_end_key_dOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_dOnClick
_key_fOnClick:
;test_bt_events_code.c,472 :: 		void key_fOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,473 :: 		addChar(TextField.caption, key_f.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_f+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,475 :: 		}
;test_bt_events_code.c,474 :: 		return;
;test_bt_events_code.c,475 :: 		}
L_end_key_fOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_fOnClick
_key_gOnClick:
;test_bt_events_code.c,477 :: 		void key_gOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,478 :: 		addChar(TextField.caption, key_g.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_g+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,480 :: 		}
;test_bt_events_code.c,479 :: 		return;
;test_bt_events_code.c,480 :: 		}
L_end_key_gOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_gOnClick
_key_hOnClick:
;test_bt_events_code.c,482 :: 		void key_hOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,483 :: 		addChar(TextField.caption, key_h.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_h+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,485 :: 		}
;test_bt_events_code.c,484 :: 		return;
;test_bt_events_code.c,485 :: 		}
L_end_key_hOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_hOnClick
_key_jOnClick:
;test_bt_events_code.c,487 :: 		void key_jOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,488 :: 		addChar(TextField.caption, key_j.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_j+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,490 :: 		}
;test_bt_events_code.c,489 :: 		return;
;test_bt_events_code.c,490 :: 		}
L_end_key_jOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_jOnClick
_key_kOnClick:
;test_bt_events_code.c,492 :: 		void key_kOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,493 :: 		addChar(TextField.caption, key_k.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_k+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,495 :: 		}
;test_bt_events_code.c,494 :: 		return;
;test_bt_events_code.c,495 :: 		}
L_end_key_kOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_kOnClick
_key_lOnClick:
;test_bt_events_code.c,497 :: 		void key_lOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,498 :: 		addChar(TextField.caption, key_l.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_l+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,500 :: 		}
;test_bt_events_code.c,499 :: 		return;
;test_bt_events_code.c,500 :: 		}
L_end_key_lOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_lOnClick
_key_mOnClick:
;test_bt_events_code.c,502 :: 		void key_mOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,503 :: 		addChar(TextField.caption, key_m.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_m+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,505 :: 		}
;test_bt_events_code.c,504 :: 		return;
;test_bt_events_code.c,505 :: 		}
L_end_key_mOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_mOnClick
_key_shiftOnClick:
;test_bt_events_code.c,507 :: 		void key_shiftOnClick() {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;test_bt_events_code.c,508 :: 		int j = 0;
SW	R25, 4(SP)
;test_bt_events_code.c,514 :: 		if (toogle == 0) {
LH	R2, Offset(_toogle+0)(GP)
BEQ	R2, R0, L__key_shiftOnClick140
NOP	
J	L_key_shiftOnClick42
NOP	
L__key_shiftOnClick140:
;test_bt_events_code.c,516 :: 		for (j=0; j<26; j++) toUpperCase(keys[j]->caption);
; j start address is: 24 (R6)
MOVZ	R6, R0, R0
; j end address is: 24 (R6)
L_key_shiftOnClick43:
; j start address is: 24 (R6)
SEH	R2, R6
SLTI	R2, R2, 26
BNE	R2, R0, L__key_shiftOnClick141
NOP	
J	L_key_shiftOnClick44
NOP	
L__key_shiftOnClick141:
SEH	R2, R6
SLL	R3, R2, 2
LUI	R2, #hi_addr(key_shiftOnClick_keys_L0+0)
ORI	R2, R2, #lo_addr(key_shiftOnClick_keys_L0+0)
ADDU	R2, R2, R3
LW	R2, 0(R2)
ADDIU	R2, R2, 24
LW	R25, 0(R2)
JAL	_toUpperCase+0
NOP	
ADDIU	R2, R6, 1
SEH	R6, R2
; j end address is: 24 (R6)
J	L_key_shiftOnClick43
NOP	
L_key_shiftOnClick44:
;test_bt_events_code.c,517 :: 		key_shift.Gradient_Start_Color    = 0xC618;
ORI	R2, R0, 50712
SH	R2, Offset(_key_shift+40)(GP)
;test_bt_events_code.c,518 :: 		key_shift.Gradient_End_Color      = 0xFFFF;
ORI	R2, R0, 65535
SH	R2, Offset(_key_shift+42)(GP)
;test_bt_events_code.c,519 :: 		toogle = 1;
ORI	R2, R0, 1
SH	R2, Offset(_toogle+0)(GP)
;test_bt_events_code.c,520 :: 		}
J	L_key_shiftOnClick46
NOP	
L_key_shiftOnClick42:
;test_bt_events_code.c,523 :: 		for (j=0; j<26; j++) toLowerCase(keys[j]->caption);
; j start address is: 24 (R6)
MOVZ	R6, R0, R0
; j end address is: 24 (R6)
L_key_shiftOnClick47:
; j start address is: 24 (R6)
SEH	R2, R6
SLTI	R2, R2, 26
BNE	R2, R0, L__key_shiftOnClick142
NOP	
J	L_key_shiftOnClick48
NOP	
L__key_shiftOnClick142:
SEH	R2, R6
SLL	R3, R2, 2
LUI	R2, #hi_addr(key_shiftOnClick_keys_L0+0)
ORI	R2, R2, #lo_addr(key_shiftOnClick_keys_L0+0)
ADDU	R2, R2, R3
LW	R2, 0(R2)
ADDIU	R2, R2, 24
LW	R25, 0(R2)
JAL	_toLowerCase+0
NOP	
ADDIU	R2, R6, 1
SEH	R6, R2
; j end address is: 24 (R6)
J	L_key_shiftOnClick47
NOP	
L_key_shiftOnClick48:
;test_bt_events_code.c,524 :: 		key_shift.Gradient_Start_Color    = 0xFFFF;
ORI	R2, R0, 65535
SH	R2, Offset(_key_shift+40)(GP)
;test_bt_events_code.c,525 :: 		key_shift.Gradient_End_Color      = 0xC618;
ORI	R2, R0, 50712
SH	R2, Offset(_key_shift+42)(GP)
;test_bt_events_code.c,526 :: 		toogle = 0;
SH	R0, Offset(_toogle+0)(GP)
;test_bt_events_code.c,527 :: 		}
L_key_shiftOnClick46:
;test_bt_events_code.c,528 :: 		DrawScreen(&PinCode);
LUI	R25, #hi_addr(_PinCode+0)
ORI	R25, R25, #lo_addr(_PinCode+0)
JAL	_DrawScreen+0
NOP	
;test_bt_events_code.c,529 :: 		}
L_end_key_shiftOnClick:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _key_shiftOnClick
_key_wOnClick:
;test_bt_events_code.c,531 :: 		void key_wOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,532 :: 		addChar(TextField.caption, key_w.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_w+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,534 :: 		}
;test_bt_events_code.c,533 :: 		return;
;test_bt_events_code.c,534 :: 		}
L_end_key_wOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_wOnClick
_key_vOnClick:
;test_bt_events_code.c,536 :: 		void key_vOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,537 :: 		addChar(TextField.caption, key_v.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_v+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,539 :: 		}
;test_bt_events_code.c,538 :: 		return;
;test_bt_events_code.c,539 :: 		}
L_end_key_vOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_vOnClick
_key_bOnClick:
;test_bt_events_code.c,541 :: 		void key_bOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,542 :: 		addChar(TextField.caption, key_b.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_b+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,544 :: 		}
;test_bt_events_code.c,543 :: 		return;
;test_bt_events_code.c,544 :: 		}
L_end_key_bOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_bOnClick
_key_nOnClick:
;test_bt_events_code.c,546 :: 		void key_nOnClick() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;test_bt_events_code.c,547 :: 		addChar(TextField.caption, key_n.caption[0]);
SW	R25, 4(SP)
SW	R26, 8(SP)
LW	R2, Offset(_key_n+24)(GP)
LBU	R26, 0(R2)
LW	R25, Offset(_TextField+16)(GP)
JAL	_addChar+0
NOP	
;test_bt_events_code.c,549 :: 		}
;test_bt_events_code.c,548 :: 		return;
;test_bt_events_code.c,549 :: 		}
L_end_key_nOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _key_nOnClick
_key_backOnClick:
;test_bt_events_code.c,551 :: 		void key_backOnClick() {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;test_bt_events_code.c,552 :: 		delChar(TextField.caption);
SW	R25, 4(SP)
LW	R25, Offset(_TextField+16)(GP)
JAL	_delChar+0
NOP	
;test_bt_events_code.c,554 :: 		}
;test_bt_events_code.c,553 :: 		return;
;test_bt_events_code.c,554 :: 		}
L_end_key_backOnClick:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _key_backOnClick
_ButtonSearchOnClick:
;test_bt_events_code.c,556 :: 		void ButtonSearchOnClick() {
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;test_bt_events_code.c,557 :: 		DrawInqScreen();
JAL	_DrawInqScreen+0
NOP	
;test_bt_events_code.c,558 :: 		}
L_end_ButtonSearchOnClick:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _ButtonSearchOnClick
_Button3OnClick:
;test_bt_events_code.c,560 :: 		void Button3OnClick() {
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;test_bt_events_code.c,561 :: 		DrawInqScreen();
JAL	_DrawInqScreen+0
NOP	
;test_bt_events_code.c,562 :: 		}
L_end_Button3OnClick:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _Button3OnClick
_OkButtonOnClick:
;test_bt_events_code.c,564 :: 		void OkButtonOnClick() {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;test_bt_events_code.c,565 :: 		DrawScreen(&HomeScreen);
SW	R25, 4(SP)
LUI	R25, #hi_addr(_HomeScreen+0)
ORI	R25, R25, #lo_addr(_HomeScreen+0)
JAL	_DrawScreen+0
NOP	
;test_bt_events_code.c,566 :: 		}
L_end_OkButtonOnClick:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _OkButtonOnClick
_Button6OnClick:
;test_bt_events_code.c,568 :: 		void Button6OnClick() {
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;test_bt_events_code.c,569 :: 		DrawPinScreen();
JAL	_DrawPinScreen+0
NOP	
;test_bt_events_code.c,570 :: 		}
L_end_Button6OnClick:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _Button6OnClick
