#line 1 "C:/Users/LAURENT Amaury/Desktop/Parani ESD110/test_bt_Code/mikroC PRO for PIC32/test_bt_events_code.c"
#line 1 "c:/users/laurent amaury/desktop/parani esd110/test_bt_code/mikroc pro for pic32/test_bt_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef struct Button {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton;

typedef const struct CButton {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 const char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCButton;

typedef struct Button_Round {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char Corner_Radius;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton_Round;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef const struct CLabel {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 const char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCLabel;

typedef struct Box {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TBox;

typedef const struct CBox {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCBox;

typedef struct Line {
 TScreen* OwnerScreen;
 char Order;
 unsigned int First_Point_X;
 unsigned int First_Point_Y;
 unsigned int Second_Point_X;
 unsigned int Second_Point_Y;
 char Pen_Width;
 char Visible;
 unsigned int Color;
} TLine;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int ButtonsCount;
 TButton * const code *Buttons;
 unsigned int CButtonsCount;
 TCButton * const code *CButtons;
 unsigned int Buttons_RoundCount;
 TButton_Round * const code *Buttons_Round;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int CLabelsCount;
 TCLabel * const code *CLabels;
 unsigned int BoxesCount;
 TBox * const code *Boxes;
 unsigned int CBoxesCount;
 TCBox * const code *CBoxes;
 unsigned int LinesCount;
 TLine * const code *Lines;
};

extern TScreen HomeScreen;
extern TCLabel Title1;
extern TLine Line1;
extern TButton Info_Button;
extern TButton ButtonSearch;
extern TButton Button6;
extern TButton * const code Screen1_Buttons[3];
extern TCLabel * const code Screen1_CLabels[1];
extern TLine * const code Screen1_Lines[1];


extern TScreen InfoScreen;
extern TCLabel Title2;
extern TLine Line2;
extern TLabel BtAdresseLbl;
extern TLabel DevNameLbl;
extern TLabel ModeLbl;
extern TLabel StatusLbl;
extern TLabel AuthLbl;
extern TLabel EncrLbl;
extern TLabel FlowLbl;
extern TCLabel Label1;
extern TCLabel Label2;
extern TCLabel Label3;
extern TCLabel Label4;
extern TCLabel Label5;
extern TCLabel Label6;
extern TCLabel Label7;
extern TButton BackButton;
extern TButton * const code Screen2_Buttons[1];
extern TLabel * const code Screen2_Labels[7];
extern TCLabel * const code Screen2_CLabels[8];
extern TLine * const code Screen2_Lines[1];


extern TScreen InqScreen;
extern TCBox Box1;
extern TLabel InqTitle;
extern TLine Line3;
extern TCButton Button2;
extern TCButton Button3;
extern TButton dev1;
extern TButton dev2;
extern TButton dev3;
extern TButton dev4;
extern TButton dev5;
extern TButton dev6;
extern TButton dev7;
extern TButton dev8;
extern TButton dev9;
extern TButton dev10;
extern TButton dev11;
extern TButton dev12;
extern TButton dev13;
extern TButton dev14;
extern TButton dev15;
extern TButton * const code Screen3_Buttons[15];
extern TCButton * const code Screen3_CButtons[2];
extern TLabel * const code Screen3_Labels[1];
extern TCBox * const code Screen3_CBoxes[1];
extern TLine * const code Screen3_Lines[1];


extern TScreen ConErrorScreen;
extern TLabel Label8;
extern TButton_Round OkButton;
extern TLabel Label10;
extern TButton_Round * const code Screen4_Buttons_Round[1];
extern TLabel * const code Screen4_Labels[2];


extern TScreen ConSuccessScreen;
extern TLabel SuccessLabel;
extern TLabel * const code Screen5_Labels[1];


extern TScreen DiscoScreen;
extern TCLabel Label9;
extern TButton_Round ButtonRound1;
extern TButton_Round DiscoButton;
extern TButton_Round * const code Screen6_Buttons_Round[2];
extern TCLabel * const code Screen6_CLabels[1];


extern TScreen PinCode;
extern TLine Line4;
extern TCLabel Label11;
extern TBox cache_pin_str;
extern TLabel TextField;
extern TButton_Round key_a;
extern TButton_Round key_z;
extern TButton_Round key_e;
extern TButton_Round key_r;
extern TButton_Round key_t;
extern TButton_Round key_y;
extern TButton_Round key_u;
extern TButton_Round key_i;
extern TButton_Round key_o;
extern TButton_Round key_p;
extern TButton_Round key_q;
extern TButton_Round key_s;
extern TButton_Round key_d;
extern TButton_Round key_f;
extern TButton_Round key_g;
extern TButton_Round key_h;
extern TButton_Round key_j;
extern TButton_Round key_k;
extern TButton_Round key_l;
extern TButton_Round key_m;
extern TButton_Round key_1;
extern TButton_Round key_2;
extern TButton_Round key_3;
extern TButton_Round key_4;
extern TButton_Round key_5;
extern TButton_Round key_6;
extern TButton_Round key_7;
extern TButton_Round key_8;
extern TButton_Round key_9;
extern TButton_Round key_0;
extern TButton_Round key_w;
extern TButton_Round key_x;
extern TButton_Round key_c;
extern TButton_Round key_v;
extern TButton_Round key_b;
extern TButton_Round key_n;
extern TButton_Round key_shift;
extern TButton_Round key_back;
extern TCButton Button4;
extern TCButton Button5;
extern TCButton * const code Screen7_CButtons[2];
extern TButton_Round * const code Screen7_Buttons_Round[38];
extern TLabel * const code Screen7_Labels[1];
extern TCLabel * const code Screen7_CLabels[1];
extern TBox * const code Screen7_Boxes[1];
extern TLine * const code Screen7_Lines[1];





void BackButtonOnClick();
void Button1OnClick();
void Button3OnClick();
void Button6OnClick();
void ButtonMoinsOnClick();
void ButtonPlusOnClick();
void ButtonSearchOnClick();
void dev10OnClick();
void dev11OnClick();
void dev12OnClick();
void dev13OnClick();
void dev14OnClick();
void dev15OnClick();
void dev1OnClick();
void dev2OnClick();
void dev3OnClick();
void dev4OnClick();
void dev5OnClick();
void dev6OnClick();
void dev7OnClick();
void dev8OnClick();
void dev9OnClick();
void DiscoButtonOnClick();
void Info_ButtonOnClick();
void key_0OnClick();
void key_1OnClick();
void key_2OnClick();
void key_3OnClick();
void key_4OnClick();
void key_5OnClick();
void key_6OnClick();
void key_7OnClick();
void key_8OnClick();
void key_9OnClick();
void key_aOnClick();
void key_backOnClick();
void key_bOnClick();
void key_cOnClick();
void key_dOnClick();
void key_eOnClick();
void key_fOnClick();
void key_gOnClick();
void key_hOnClick();
void key_iOnClick();
void key_jOnClick();
void key_kOnClick();
void key_lOnClick();
void key_mOnClick();
void key_nOnClick();
void key_oOnClick();
void key_pOnClick();
void key_qOnClick();
void key_rOnClick();
void key_shiftOnClick();
void key_sOnClick();
void key_tOnClick();
void key_uOnClick();
void key_vOnClick();
void key_wOnClick();
void key_xOnClick();
void key_yOnClick();
void key_zOnClick();
void NextButtonOnClick();
void OkButtonOnClick();
void PlayerButtonOnClick();
void PlayPauseButtonOnClick();
void PreviousButtonOnClick();
void StopButtonOnClick();
void Test_ELM327OnClick();
void TestGaugeButtonOnClick();




extern const char Title1_Caption[];
extern char Line1_Caption[];
extern char Info_Button_Caption[];
extern char ButtonSearch_Caption[];
extern char Button6_Caption[];
extern const char Title2_Caption[];
extern char Line2_Caption[];
extern char BtAdresseLbl_Caption[];
extern char DevNameLbl_Caption[];
extern char ModeLbl_Caption[];
extern char StatusLbl_Caption[];
extern char AuthLbl_Caption[];
extern char EncrLbl_Caption[];
extern char FlowLbl_Caption[];
extern const char Label1_Caption[];
extern const char Label2_Caption[];
extern const char Label3_Caption[];
extern const char Label4_Caption[];
extern const char Label5_Caption[];
extern const char Label6_Caption[];
extern const char Label7_Caption[];
extern char BackButton_Caption[];
extern const char Box1_Caption[];
extern char InqTitle_Caption[];
extern char Line3_Caption[];
extern const char Button2_Caption[];
extern const char Button3_Caption[];
extern char dev1_Caption[];
extern char dev2_Caption[];
extern char dev3_Caption[];
extern char dev4_Caption[];
extern char dev5_Caption[];
extern char dev6_Caption[];
extern char dev7_Caption[];
extern char dev8_Caption[];
extern char dev9_Caption[];
extern char dev10_Caption[];
extern char dev11_Caption[];
extern char dev12_Caption[];
extern char dev13_Caption[];
extern char dev14_Caption[];
extern char dev15_Caption[];
extern char Label8_Caption[];
extern char OkButton_Caption[];
extern char Label10_Caption[];
extern char SuccessLabel_Caption[];
extern const char Label9_Caption[];
extern char ButtonRound1_Caption[];
extern char DiscoButton_Caption[];
extern char Line4_Caption[];
extern const char Label11_Caption[];
extern char cache_pin_str_Caption[];
extern char TextField_Caption[];
extern char key_a_Caption[];
extern char key_z_Caption[];
extern char key_e_Caption[];
extern char key_r_Caption[];
extern char key_t_Caption[];
extern char key_y_Caption[];
extern char key_u_Caption[];
extern char key_i_Caption[];
extern char key_o_Caption[];
extern char key_p_Caption[];
extern char key_q_Caption[];
extern char key_s_Caption[];
extern char key_d_Caption[];
extern char key_f_Caption[];
extern char key_g_Caption[];
extern char key_h_Caption[];
extern char key_j_Caption[];
extern char key_k_Caption[];
extern char key_l_Caption[];
extern char key_m_Caption[];
extern char key_1_Caption[];
extern char key_2_Caption[];
extern char key_3_Caption[];
extern char key_4_Caption[];
extern char key_5_Caption[];
extern char key_6_Caption[];
extern char key_7_Caption[];
extern char key_8_Caption[];
extern char key_9_Caption[];
extern char key_0_Caption[];
extern char key_w_Caption[];
extern char key_x_Caption[];
extern char key_c_Caption[];
extern char key_v_Caption[];
extern char key_b_Caption[];
extern char key_n_Caption[];
extern char key_shift_Caption[];
extern char key_back_Caption[];
extern const char Button4_Caption[];
extern const char Button5_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawCButton(TCButton *aCButton);
void DrawRoundButton(TButton_Round *Around_button);
void DrawLabel(TLabel *ALabel);
void DrawCLabel(TCLabel *AClabel);
void DrawBox(TBox *ABox);
void DrawCBox(TCBox *ACbox);
void DrawLine(TLine *Aline);
void Check_TP();
void Start_TP();
#line 1 "c:/users/laurent amaury/desktop/parani esd110/test_bt_code/mikroc pro for pic32/test_bt_resources.h"
const code char Tahoma21x25_Regular[];
const code char Tahoma26x33_Regular[];
const code char Tahoma11x13_Regular[];
#line 9 "C:/Users/LAURENT Amaury/Desktop/Parani ESD110/test_bt_Code/mikroC PRO for PIC32/test_bt_events_code.c"
typedef struct Device {
 char adresse[13];
 char name[51];
 char CoD[7];
} TDevice;

char delim[3] = {0x0D, 0x0A, 0x00};
char temp[100];
int connected = 0;
int toogle = 0;
TDevice devList[15];
TScreen * drawPreviousScreen;


const code char pin_code[20]="1234";
extern playing;

union {
 char string[20];
 unsigned long tabw[5];
} pin_code_ram;


extern sound_file;

void DrawSuccessScreen(char * string);

void addChar (char * str, char chr) {
 int len = strlen(str);
 if (len <  17 ) {
 *(str+len) = chr;
 *(str+len+1) = 0;
 DrawCBox(&cache_pin_str);
 DrawLabel(&TextField);
 }
}

void delChar (char * str) {
 int len = strlen(str);
 if (len <= 0) return;
 *(str+len-1) = 0;
 DrawCBox(&cache_pin_str);
 DrawLabel(&TextField);
}

void toUpperCase(char * str) {
 int i = 0;

 for (i=0; i<strlen(str); i++) *(str+i) = toupper(str[i]);
}

void toLowerCase(char * str) {
 int i = 0;

 for (i=0; i<strlen(str); i++) *(str+i) = tolower(str[i]);
}

void ViderBuffer(char * Buffer, int taille_buffer) {
 int i = 0;
 for (i=0; i<taille_buffer; i++) *(Buffer+i) = 0;
}

void ResetParani() {
 latd.f11 = 0;
 Delay_ms(1500);
 latd.f11 = 1;
 connected = 0;
}

int UART1_ReadLine (char * OutLine) {
 UART1_Read_Text(OutLine, delim, 255);
 if (strlen(OutLine) == 0) UART1_Read_Text(OutLine, delim, 255);
 if(strstr(OutLine, "OK")!=0) return 1;
 else if(strstr(OutLine, "ERROR")!=0) return -1;
 else return 0;
}

void UpdateLabel(TLabel * lbl, char * txt) {
 lbl->Font_Color = 0xFFFF;
 DrawLabel(lbl);
 lbl->Font_Color = 0x0000;
 strcpy(lbl->Caption, txt);
 DrawLabel(lbl);
}

void SendCMD (char * cmd) {
 UART1_Write_Text(cmd);
 UART1_Write(0x0D);
}

void DrawErrorScreen(char * title, char * str) {
 strcpy(Label10.caption, str);
 strcpy(Label8.caption, title);
 DrawScreen(&ConErrorScreen);
}

void DrawPinScreen() {
 strcpy(TextField.caption, pin_code);
 DrawScreen(&PinCode);
}

void DrawSuccessScreen(char * string) {
 strcpy(SuccessLabel.caption, string);
 DrawScreen(&ConSuccessScreen);
 Delay_ms(1000);
 DrawScreen(&HomeScreen);
}

void DrawInqScreen() {
 int res = 0;
 char title[40];
 char * idx = temp;
 int index_courant = 0;

 TButton * const code Device_Labels[15]=
 {
 &dev1,
 &dev2,
 &dev3,
 &dev4,
 &dev5,
 &dev6,
 &dev7,
 &dev8,
 &dev9,
 &dev10,
 &dev11,
 &dev12,
 &dev13,
 &dev14,
 &dev15
 };

 if(connected) {
 drawPreviousScreen = &InqScreen;
 DrawScreen(&DiscoScreen);
 }
 else {
 UpdateLabel(&InqTitle, "Searching ...");

 SendCmd("AT+BTINQ?");

 for (index_courant = 0; index_courant<15; index_courant++){
 Device_Labels[index_courant]->visible = 0;
 ViderBuffer(Device_Labels[index_courant]->caption, 51);
 ViderBuffer(devList[index_courant].adresse, 13);
 ViderBuffer(devList[index_courant].name, 51);
 ViderBuffer(devList[index_courant].CoD, 7);
 }
 index_courant = 0;

 DrawScreen(&InqScreen);

 while (UART1_ReadLine(temp) == 0) {
 idx = temp;
 strncpy(devList[index_courant].adresse, idx, (int)strchr(idx, ',')-(int)idx);
 idx = strchr(idx, ',')+1;
 strncpy(devList[index_courant].name, idx, (int)strchr(idx, ',')-(int)idx);
 idx = strchr(idx, ',')+1;
 strcpy(devList[index_courant].CoD, idx);

 strcpy(Device_Labels[index_courant]->caption, devList[index_courant].name);
 Device_Labels[index_courant]->visible = 1;
 DrawButton(Device_Labels[index_courant]);
 index_courant++;
 sprintf(title, "%d devices found ...",index_courant);
 DrawCBox(&Box1);
 UpdateLabel(&InqTitle, title);
 }

 if (index_courant == 0) {
 sprintf(title, "No device found",index_courant);
 DrawCBox(&Box1);
 UpdateLabel(&InqTitle, title);
 }
 else {
 sprintf(title, "%d devices found",index_courant);
 DrawCBox(&Box1);
 UpdateLabel(&InqTitle, title);
 }
 }
}

void DrawGetInfo() {
 char * idx = temp;
 int res = 0;
 SendCMD("AT+BTINFO?");

 if(connected) {
 drawPreviousScreen = &InfoScreen;
 DrawScreen(&DiscoScreen);
 }
 else {
 res = UART1_ReadLine(temp);
 if (res == 0) {
 strncpy(BtAdresseLbl.caption, idx, (int)strchr(idx, ',')-(int)idx);
 idx = strchr(idx, ',')+1;
 strncpy(DevNameLbl.caption, idx, (int)strchr(idx, ',')-(int)idx);
 idx = strchr(idx, ',')+1;
 strncpy(ModeLbl.caption, idx, (int)strchr(idx, ',')-(int)idx);
 idx = strchr(idx, ',')+1;
 strncpy(StatusLbl.caption, idx, (int)strchr(idx, ',')-(int)idx);
 idx = strchr(idx, ',')+1;
 strncpy(AuthLbl.caption, idx, (int)strchr(idx, ',')-(int)idx);
 idx = strchr(idx, ',')+1;
 strncpy(EncrLbl.caption, idx, (int)strchr(idx, ',')-(int)idx);
 idx = strchr(idx, ',')+1;
 strcpy(FlowLbl.caption, idx);

 res = UART1_ReadLine(temp);
 if (res == -1) {
 strcpy(BtAdresseLbl.caption,"Error");
 strcpy(DevNameLbl.caption,"Error");
 strcpy(ModeLbl.caption,"Error");
 strcpy(StatusLbl.caption,"Error");
 strcpy(AuthLbl.caption,"Error");
 strcpy(EncrLbl.caption,"Error");
 strcpy(FlowLbl.caption,"Error");
 }
 }

 else {
 strcpy(BtAdresseLbl.caption,"Error");
 strcpy(DevNameLbl.caption,"Error");
 strcpy(ModeLbl.caption,"Error");
 strcpy(StatusLbl.caption,"Error");
 strcpy(AuthLbl.caption,"Error");
 strcpy(EncrLbl.caption,"Error");
 strcpy(FlowLbl.caption,"Error");
 }
 DrawScreen(&InfoScreen);
 }
}




void Info_ButtonOnClick() {
 DrawGetInfo();
}

void BackButtonOnClick() {
 DrawScreen(&HomeScreen);
}

void Button1OnClick() {
 char mess[51];
 char cmd[51];
 int cpt = 0;

 if(strlen(TextField.caption) != 0){
 sprintf(cmd, "AT+BTKEY=\"%s\"", TextField.caption);
 SendCMD(cmd);
 if (UART1_ReadLine(temp)==1) {
#line 267 "C:/Users/LAURENT Amaury/Desktop/Parani ESD110/test_bt_Code/mikroC PRO for PIC32/test_bt_events_code.c"
 DrawSuccessScreen("Pin Code Changed");
 }
 else {
 sprintf(mess,"%s >> %s", cmd, temp);
 DrawErrorScreen("PIN Code Error !", mess);
 }
 }
 else DrawScreen(&HomeScreen);
}


void dev1OnClick() {
 return;
}


void dev2OnClick() {
 return;
}

void dev3OnClick() {
 return;
}

void dev4OnClick() {
 return;
}

void dev5OnClick() {
 return;
}

void dev6OnClick() {
 return;
}

void dev7OnClick() {
 return;
}

void dev8OnClick() {
 return;
}

void dev9OnClick() {
 return;
}

void dev10OnClick() {
 return;
}

void dev11OnClick() {
 return;
}

void dev12OnClick() {
 return;
}

void dev13OnClick() {
 return;
}

void dev14OnClick() {
 return;
}

void dev15OnClick() {
 return;
}

void DiscoButtonOnClick() {
 ResetParani();
 if (drawPreviousScreen == &InfoScreen) DrawGetInfo();
 else if (drawPreviousScreen == &InqScreen) DrawInqScreen();
 else DrawScreen(drawPreviousScreen);
}


void key_1OnClick() {
 addChar(TextField.caption, key_1.caption[0]);
 return;
}

void key_2OnClick() {
 addChar(TextField.caption, key_2.caption[0]);
 return;
}

void key_3OnClick() {
 addChar(TextField.caption, key_3.caption[0]);
 return;
}

void key_4OnClick() {
 addChar(TextField.caption, key_4.caption[0]);
 return;
}

void key_5OnClick() {
 addChar(TextField.caption, key_5.caption[0]);
 return;
}

void key_6OnClick() {
 addChar(TextField.caption, key_6.caption[0]);
 return;
}

void key_7OnClick() {
 addChar(TextField.caption, key_7.caption[0]);
 return;
}

void key_8OnClick() {
 addChar(TextField.caption, key_8.caption[0]);
 return;
}

void key_9OnClick() {
 addChar(TextField.caption, key_9.caption[0]);
 return;
}

void key_0OnClick() {
 addChar(TextField.caption, key_0.caption[0]);
 return;
}

void key_aOnClick() {
 addChar(TextField.caption, key_a.caption[0]);
 return;
}

void key_zOnClick() {
 addChar(TextField.caption, key_z.caption[0]);
 return;
}

void key_eOnClick() {
 addChar(TextField.caption, key_e.caption[0]);
 return;
}

void key_rOnClick() {
 addChar(TextField.caption, key_r.caption[0]);
 return;
}

void key_tOnClick() {
 addChar(TextField.caption, key_t.caption[0]);
 return;
}

void key_yOnClick() {
 addChar(TextField.caption, key_y.caption[0]);
 return;
}

void key_uOnClick() {
 addChar(TextField.caption, key_u.caption[0]);
 return;
}

void key_iOnClick() {
 addChar(TextField.caption, key_i.caption[0]);
 return;
}

void key_oOnClick() {
 addChar(TextField.caption, key_o.caption[0]);
 return;
}

void key_pOnClick() {
 addChar(TextField.caption, key_p.caption[0]);
 return;
}

void key_qOnClick() {
 addChar(TextField.caption, key_q.caption[0]);
 return;
}

void key_xOnClick() {
 addChar(TextField.caption, key_x.caption[0]);
 return;
}

void key_cOnClick() {
 addChar(TextField.caption, key_c.caption[0]);
 return;
}

void key_sOnClick() {
 addChar(TextField.caption, key_s.caption[0]);
 return;
}

void key_dOnClick() {
 addChar(TextField.caption, key_d.caption[0]);
 return;
}

void key_fOnClick() {
 addChar(TextField.caption, key_f.caption[0]);
 return;
}

void key_gOnClick() {
 addChar(TextField.caption, key_g.caption[0]);
 return;
}

void key_hOnClick() {
 addChar(TextField.caption, key_h.caption[0]);
 return;
}

void key_jOnClick() {
 addChar(TextField.caption, key_j.caption[0]);
 return;
}

void key_kOnClick() {
 addChar(TextField.caption, key_k.caption[0]);
 return;
}

void key_lOnClick() {
 addChar(TextField.caption, key_l.caption[0]);
 return;
}

void key_mOnClick() {
 addChar(TextField.caption, key_m.caption[0]);
 return;
}

void key_shiftOnClick() {
 int j = 0;
 TButton_Round * const code keys[26] = {
 &key_a,&key_z,&key_e,&key_r,&key_t,&key_y,&key_u,&key_i,&key_o,&key_p,
 &key_q,&key_s,&key_d,&key_f,&key_g,&key_h,&key_j,&key_k,&key_l,&key_m,
 &key_w,&key_x,&key_c,&key_v,&key_b,&key_n };

 if (toogle == 0) {

 for (j=0; j<26; j++) toUpperCase(keys[j]->caption);
 key_shift.Gradient_Start_Color = 0xC618;
 key_shift.Gradient_End_Color = 0xFFFF;
 toogle = 1;
 }
 else {

 for (j=0; j<26; j++) toLowerCase(keys[j]->caption);
 key_shift.Gradient_Start_Color = 0xFFFF;
 key_shift.Gradient_End_Color = 0xC618;
 toogle = 0;
 }
 DrawScreen(&PinCode);
}

void key_wOnClick() {
 addChar(TextField.caption, key_w.caption[0]);
 return;
}

void key_vOnClick() {
 addChar(TextField.caption, key_v.caption[0]);
 return;
}

void key_bOnClick() {
 addChar(TextField.caption, key_b.caption[0]);
 return;
}

void key_nOnClick() {
 addChar(TextField.caption, key_n.caption[0]);
 return;
}

void key_backOnClick() {
 delChar(TextField.caption);
 return;
}

void ButtonSearchOnClick() {
 DrawInqScreen();
}

void Button3OnClick() {
 DrawInqScreen();
}

void OkButtonOnClick() {
 DrawScreen(&HomeScreen);
}

void Button6OnClick() {
 DrawPinScreen();
}
