_Tmr2_isr:
;test_bt_main.c,39 :: 		void Tmr2_isr() iv IVT_TIMER_2 ilevel 7 ics ICS_SRS {
RDPGPR	SP, SP
ADDIU	SP, SP, -12
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 7168
MTC0	R30, 12, 0
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;test_bt_main.c,40 :: 		Check_TP();
JAL	_Check_TP+0
NOP	
;test_bt_main.c,41 :: 		T2IF_bit = 0;
LUI	R2, BitMask(T2IF_bit+0)
ORI	R2, R2, BitMask(T2IF_bit+0)
_SX	8, Offset(T2IF_bit+4), 4
;test_bt_main.c,42 :: 		}
L_end_Tmr2_isr:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
ADDIU	SP, SP, 12
WRPGPR	SP, SP
ERET	
; end of _Tmr2_isr
_InitTimer2:
;test_bt_main.c,45 :: 		void InitTimer2() {
;test_bt_main.c,46 :: 		TMR2 = 0;                 // reset timer value to zero
SW	R0, Offset(TMR2+0)(GP)
;test_bt_main.c,47 :: 		PR2 = 65535;              // Load period register
ORI	R2, R0, 65535
SW	R2, Offset(PR2+0)(GP)
;test_bt_main.c,49 :: 		T2IP0_bit = 1;            // set interrupt
LUI	R2, BitMask(T2IP0_bit+0)
ORI	R2, R2, BitMask(T2IP0_bit+0)
_SX	8, Offset(T2IP0_bit+8), 4
;test_bt_main.c,50 :: 		T2IP1_bit = 1;            // priority
LUI	R2, BitMask(T2IP1_bit+0)
ORI	R2, R2, BitMask(T2IP1_bit+0)
_SX	8, Offset(T2IP1_bit+8), 4
;test_bt_main.c,51 :: 		T2IP2_bit = 1;            // to 7
LUI	R2, BitMask(T2IP2_bit+0)
ORI	R2, R2, BitMask(T2IP2_bit+0)
_SX	8, Offset(T2IP2_bit+8), 4
;test_bt_main.c,53 :: 		TCKPS0_bit = 1;           // Set Timer Input Clock
LUI	R2, BitMask(TCKPS0_bit+0)
ORI	R2, R2, BitMask(TCKPS0_bit+0)
_SX	8, Offset(TCKPS0_bit+8), 4
;test_bt_main.c,54 :: 		TCKPS1_bit = 1;           // Prescale value to 1:256
LUI	R2, BitMask(TCKPS1_bit+0)
ORI	R2, R2, BitMask(TCKPS1_bit+0)
_SX	8, Offset(TCKPS1_bit+8), 4
;test_bt_main.c,56 :: 		EnableInterrupts();       // Enable all interrupts
EI	R30
;test_bt_main.c,58 :: 		T2IE_bit = 1;             // Enable Timer1 Interrupt
LUI	R2, BitMask(T2IE_bit+0)
ORI	R2, R2, BitMask(T2IE_bit+0)
_SX	8, Offset(T2IE_bit+8), 4
;test_bt_main.c,59 :: 		ON__T2CON_bit = 1;        // Enable Timer1
LUI	R2, BitMask(ON__T2CON_bit+0)
ORI	R2, R2, BitMask(ON__T2CON_bit+0)
_SX	8, Offset(ON__T2CON_bit+8), 4
;test_bt_main.c,60 :: 		}
L_end_InitTimer2:
JR	RA
NOP	
; end of _InitTimer2
_main:
;test_bt_main.c,62 :: 		void main() {
;test_bt_main.c,64 :: 		trisd.f11 = 0;
ORI	R2, R0, 2048
SW	R2, Offset(TRISD+4)(GP)
;test_bt_main.c,67 :: 		latd.f11 = 0;
SW	R2, Offset(LATD+4)(GP)
;test_bt_main.c,68 :: 		Delay_ms(1500);
LUI	R24, 610
ORI	R24, R24, 23039
L_main0:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main0
NOP	
NOP	
;test_bt_main.c,69 :: 		latd.f11 = 1;
ORI	R2, R0, 2048
SW	R2, Offset(LATD+8)(GP)
;test_bt_main.c,71 :: 		CHECON = 30;
ORI	R2, R0, 30
SW	R2, Offset(CHECON+0)(GP)
;test_bt_main.c,72 :: 		AD1PCFG = 0xFFFF;
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;test_bt_main.c,74 :: 		Start_TP();
JAL	_Start_TP+0
NOP	
;test_bt_main.c,76 :: 		MM_Init();
JAL	_MM_Init+0
NOP	
;test_bt_main.c,78 :: 		InitTimer2();
JAL	_InitTimer2+0
NOP	
;test_bt_main.c,80 :: 		UART1_Init(9600);               // Initialize UART module at 9600 bps
ORI	R25, R0, 9600
JAL	_UART1_Init+0
NOP	
;test_bt_main.c,81 :: 		Delay_ms(100);                  // Wait for UART module to stabilize
LUI	R24, 40
ORI	R24, R24, 45226
L_main2:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main2
NOP	
;test_bt_main.c,83 :: 		while(1);
L_main4:
J	L_main4
NOP	
;test_bt_main.c,84 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
